:host
    display: flex
    align-items: center
    .toast-snackbar__icon
        display: block
        width: 24px
        height: 24px
        margin-right: 10px
    .toast-snackbar__message
        font-size: 16px
        font-weight: 400
        line-height: 24px
        margin-right: 10px
    .toast-snackbar__close
        display: inline-flex
        align-items: center
        height: 44px
        flex-shrink: 0
        margin-left: auto
        cursor: pointer
        background-color: unset
        border: none
        &::before
            content: ''
            display: block
            width: 24px
            height: 24px
            background-image: url(/assets/icons/toast_close.svg)
            background-repeat: no-repeat
            background-size: contain
    .toast-snackbar__action
        display: inline-block
        border-radius: 8px
        background-color: rgba(255, 255, 255, 0.1)
        color: #fff
        padding: 10px 16px
        font-size: 14px
        font-weight: 500
        line-height: 20px
        flex-shrink: 0
        margin-left: auto
        cursor: pointer
        border: none
        &:hover
            background-color: rgba(255, 255, 255, 0.2)
        &:active
            background-color: rgba(255, 255, 255, 0.3)
